Core - Task # 40777

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Should have
Author: Arvid Jakobsson Category: DBAL

Created: 2012-09-09 Assigned To: Arvid Jakobsson
Updated: 2013-12-08 Due date:

TYPOS3 Version: 6.0

PHP Version:

Complexity:

Sprint Focus:

Subject: Superfluous brackets in functions after namespaces move

Description

Fix issues such as:

- return (extension_loaded('odbc') || extension_loaded('pdo')) || extension_loaded('oci8");

+ return extension_loaded('odbc') || extension_loaded('pdo') || extension_loaded('oci8');

Related issues:

related to Core - Bug # 40113: Superfluous brackets in functions after namesp... Closed

2012-08-24

Associated revisions

Revision 4f{68340 - 2012-09-09 23:46 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis.

Change ("a"."b") . "c"into "a" . "b" . "c" using the lex-pass tool.

Change-Id: 17d10826a66a32af1fb3dbd462b028a5d12cfba89
Resolves: #40777

Related: #40095

Releases: 6.0

Reviewed-on: http:/review.typo3.org/14482

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2012-09-09 22:00 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14482

#2 - 2012-09-09 23:26 - Christian Kuhn
- Parent task set to #40095

#3 - 2012-09-10 00:02 - Christian Kuhn

2015-08-04
http://review.typo3.org/14482
http://review.typo3.org/14482

- Status changed from New to Resolved
- Target version set to 6.0.0-beta2
- % Done changed from 0 to 100

#4 - 2013-12-08 11:42 - Michael Stucki
- Project changed from DBAL to Core

#5 - 2013-12-08 11:44 - Michael Stucki
- Category set to DBAL
